Package cds.healpix

# Enum Class Tile2HPX.WCSFrame

java.lang.Object
java.lang.Enum<Tile2HPX.WCSFrame>
cds.healpix.Tile2HPX.WCSFrame

All Implemented Interfaces:
  `Serializable`, `Comparable<Tile2HPX.WCSFrame>`, `Constable`

Enclosing class:
  `Tile2HPX`

public static enum Tile2HPX.WCSFrame extends Enum<Tile2HPX.WCSFrame>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EQU`
`GAL`

## Method Summary

Modifier and Type
Method
Description
`static Tile2HPX.WCSFrame`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Tile2HPX.WCSFrame[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EQU

public static final Tile2HPX.WCSFrame EQU

### GAL

public static final Tile2HPX.WCSFrame GAL

## Method Details

### values

public static Tile2HPX.WCSFrame[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Tile2HPX.WCSFrame valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null